<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="K_Keyboard_Key">

        <attr name="android:codes"/>

        <attr name="android:popupKeyboard"/>

        <attr name="android:popupCharacters"/>

        <attr name="android:keyEdgeFlags"/>

        <attr name="android:isModifier"/>

        <attr name="android:isSticky"/>

        <attr name="android:isRepeatable"/>

        <attr name="android:iconPreview"/>

        <attr name="android:keyOutputText"/>

        <attr name="android:keyLabel"/>

        <attr name="android:keyIcon"/>

        <attr name="android:keyboardMode"/>
    </declare-styleable>
    <declare-styleable name="Kil_Keyboard_Row">

        <attr name="android:rowEdgeFlags"/>

        <attr name="android:keyboardMode"/>
    </declare-styleable>
    <declare-styleable name="My_Keyboard_view">

        <attr name="android:keyWidth"/>

        <attr name="android:keyHeight"/>

        <attr name="android:horizontalGap"/>

        <attr name="android:verticalGap"/>
    </declare-styleable>
    <declare-styleable name="My_KeyboardView">

        <attr name="android:keyBackground"/>

        <attr name="android:keyTextSize"/>

        <attr name="android:labelTextSize"/>

        <attr name="android:keyTextColor"/>

        <attr name="android:keyPreviewLayout"/>

        <attr name="android:keyPreviewOffset"/>

        <attr name="android:keyPreviewHeight"/>

        <attr name="android:verticalCorrection"/>

        <attr name="android:popupLayout"/>

        <attr name="android:shadowColor"/>

        <attr name="android:shadowRadius"/>
    </declare-styleable>
    <declare-styleable name="IM_KeyboardViewPreviewState">

        <attr name="android:state_long_pressable"/>
    </declare-styleable>

</resources>